Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.writer
Class ImageWriterParams

    java.lang.Object
      org.apache.xmlgraphics.image.writer.ImageWriterParams

    public class ImageWriterParams

extends Object

Parameters for the encoder which is accessed through the ImageWriter interface.

Version:
  $Id: ImageWriterParams.java 734420 2009-01-14 15:38:32Z maxberger $

Constructor Summary
`ImageWriterParams()` Default constructor.

Method Summary
`String` | `getCompressionMethod()`
`Boolean` | `getJPEGForceBaseline()`
`Float` | `getJPEGQuality()`
`Integer` | `getResolution()`
`void` | `setCompressionMethod(String method)` Set the compression method that shall be used to encode the image.
`void` | `setJPEGQuality(float quality, boolean forceBaseline)` Sets the quality setting for encoding JPEG images.
`void` | `setResolution(int dpi)` Sets the target resolution of the bitmap image to be written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageWriterParams

    public ImageWriterParams()

  Default constructor.

Method Detail

### getResolution

    public Integer getResolution()

  Returns:
    the image resolution in dpi, or null if undefined

### getJPEGQuality

    public Float getJPEGQuality()

  Returns:
    the quality value for encoding a JPEG image (0.0-1.0), or null if undefined

### getJPEGForceBaseline

    public Boolean getJPEGForceBaseline()

  Returns:
    true if the baseline quantization table is forced, or null if undefined.

### getCompressionMethod

    public String getCompressionMethod()

  Returns:
    the compression method for encoding the image

### setResolution

    public void setResolution(int dpi)

  Sets the target resolution of the bitmap image to be written.

  Parameters:
    `dpi` - the resolution in dpi

### setJPEGQuality

    public void setJPEGQuality(float quality,
                               boolean forceBaseline)

  Sets the quality setting for encoding JPEG images.

  Parameters:
    `quality` - the quality setting (0.0-1.0)
    `forceBaseline` - force baseline quantization table

### setCompressionMethod

    public void setCompressionMethod(String method)

  Set the compression method that shall be used to encode the image.

  Parameters:
    `method` - the compression method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.